
.single-hero {
  width: 100vw;
  height: 100vh;
  background-position: center;
  background-size: cover;
}
.projects_main {
  position: absolute;
  top: 50px;
  height: calc(100vh - 50px - 60px);
  left: calc(50% - 220px);
  width: 440px;
  max-width: calc(100% - 32px);
  cursor:grab;
  z-index: 1;
  transform-origin: top center;
  transition:
    height 0.5s cubic-bezier(0.4, 0, 0.2, 1),
    transform 0.5s cubic-bezier(0.4, 0, 0.2, 1) 0.05s;
}
.projects_main.is-minimized {
  transform: scale(0.7);
  height: fit-content;
  min-height: fit-content;
}
.projects_main.is-snapping {
  transition:
    height 0.5s cubic-bezier(0.4, 0, 0.2, 1),
    transform 0.5s cubic-bezier(0.4, 0, 0.2, 1) 0.05s,
    top 0.5s cubic-bezier(0.4, 0, 0.2, 1),
    left 0.5s cubic-bezier(0.4, 0, 0.2, 1);
}
.single-hero .projects_wrapper {
  backdrop-filter: blur(30px);
  padding: 40px;
  flex-grow: 0;
  height: 100%;
  transition: height 0.5s ease;
}
.single-texto p {
  margin-bottom: 16px;
}
.single-hero .miniaturas {
  overflow-x: auto;
  justify-content: safe center;
}
.single-hero .miniaturas img {
  position: static;
  width: 15%;
  transform: none;
  flex-shrink: 0;
}
.single-hero .projects_cell:hover img {
  transform: none;
  border-radius: 0.25rem;
}
.single-hero .projects_wrapper::after {
  display: none;
}
.btn-mini {
  position: absolute;
  top: 12px;
  right: 12px;
  width: 24px;
  height: 24px;
  border-radius: 22px;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: rgba(255,255,255,0.2);
  cursor: pointer;
  user-select: none;
}
.btn-mini div {
  width: 14px;
  height: 2px;
  background: var(--cor-linha);
  transition: transform 0.5s ease;
}
.projects_main.is-minimized .btn-mini div {
  transform: rotate(180deg);
}
.project_body {
  flex-grow: 1;
  max-height: 1000px;
  opacity: 1;
  overflow: hidden;
  transition: opacity 0.4s ease, max-height 0.5s ease 0.1s;
}
.projects_main.is-minimized .project_body {
  max-height: 0px;
  margin: 0px;
  opacity: 0;
  pointer-events: none;
  transition: opacity 0.4s ease, max-height 0.5s ease;
}
.bg-slide {
  transition: all 0.8s ease-in-out;
}
.bg-slide.focus {
  transform: scale(70%);
  border-radius: 12px;
  background-size: contain !important;
  background-repeat: no-repeat !important;
  background-position: center !important;
}
.thumb-btn {
  transition: opacity 0.3s ease, transform 0.3s ease;
  opacity: 0.5;
}
.thumb-btn.active {
  opacity: 1;
}
.bouncing-ball {
  width: 250px;
  height: 250px;
  background: color-mix(in srgb, var(--cor) 30%, transparent);
  border-radius: 50%;
  backdrop-filter: blur(20px);
  position: absolute;
  z-index: 1;
  top: 10%;
  left: 10%;
  animation:
    bounceX 7.3s linear infinite alternate,
    bounceY 9.1s linear infinite alternate;
}
@keyframes bounceX {
  0% {
    left: 0;
  }
  100% {
    left: calc(100% - 250px);
  }
}
@keyframes bounceY {
  0% {
    top: 0;
  }
  100% {
    top: calc(100% - 250px);
  }
}


.miniaturas-footer {
  border-radius: 12px;
  background-color: var(--cor-bg);
  position: absolute;
  left: calc(50%);
  bottom: 30px;
  height: 80px;
  padding: 10px;
  opacity: 0;
  max-width: 0px;
  transform: translateX(-50%);
  display: flex;
  justify-content: safe center;
  overflow-x: auto;
  gap: 10px;
  transition: opacity 0.4s ease, max-width 0.5s ease 0.1s;
}
.miniaturas-footer img {
  flex-shrink: 0;
  object-fit: cover;
}
.miniaturas-footer.show {
  opacity: 1;
  max-width: 350px;
  width: fit-content;
}

.single video {
  width: 100vw;
  height: 100vh;
  object-fit: cover;
}

.single .projects_cell.cc-lilas_vermelho,
.texto-wrapper.cc-lilas_vermelho {
  --cor-bg: rgba(171, 158, 254, 0.25);
  --cor-linha: rgba(255, 0, 48, 1);
}
.single .projects_cell.cc-rosa_vermelho,
.texto-wrapper.cc-rosa_vermelho {
  --cor-bg: rgba(255, 113, 255, 0.2);
  --cor-linha: rgba(255, 0, 48, 1);
}
.single .projects_cell.cc-amarelo_laranja,
.texto-wrapper.cc-amarelo_laranja {
  --cor-bg: rgba(255, 200, 0, 0.2);
  --cor-linha: rgba(255, 66, 0, 1);
}
.single .projects_cell.cc-amarelo_rosa,
.texto-wrapper.cc-amarelo_rosa {
  --cor-bg: rgba(255, 200, 0, 0.2);
  --cor-linha: rgba(255, 77, 255, 1);
}
.single .projects_cell.cc-verde_lilas,
.texto-wrapper.cc-verde_lilas {
  --cor-bg: rgba(206, 236, 56, 0.25);
  --cor-linha: rgba(171, 158, 254, 1);
}
.single .projects_cell.cc-verde_vermelho,
.texto-wrapper.cc-verde_vermelho {
  --cor-bg: rgba(206, 236, 56, 0.25);
  --cor-linha: rgba(255, 0, 48, 1);
}

.texto-wrapper {
  background: var(--cor-bg);
  color: var(--cor-linha);
}

.texto-wrapper div.ma4, .wp-block-paragraph {
  width: 440px;
  max-width: 100%;
  margin-left: auto;
  margin-right: auto;
}

.texto-wrapper .wp-block-embed {
  width: 70vw;
  max-width: 100%;
  margin-left: auto;
  margin-right: auto;
}

.texto-wrapper .wp-block-embed iframe {
  width: 100%;
  height: 100%;
  aspect-ratio: 16 / 9;
}


.single-relacionados .grid-projects {
  padding-top: 0px!important;
  padding-bottom: 0px!important;
}
.single-relacionados::after {
  content: '';
  display: block;
  position: absolute;
  bottom: -160px;
  left: 0;
  height: 160px;
  width: 100%;
  background: linear-gradient(
    to top,
    color-mix(in srgb, var(--branco) 0%, transparent),
    color-mix(in srgb, var(--branco) 100%, transparent)
  );
}

.ficha a {
  text-decoration: underline;
}

.accordion-button:not(.collapsed) {
  color: inherit!important;
}


@media (max-width: 760px) {
  .projects_main {
    top: 50px;
    height: calc(100dvh - 65px - 65px);
    left: 40px;
    max-width: calc(100% - 80px);
  }
  .miniaturas-footer {
    left: calc(50%);
    bottom: 60px;
    height: 60px;
    padding: 7px;
  }
  .single-relacionados.mb-90 {
    margin-bottom: 90dvh;
  }

  .single-relacionados::after {
    bottom: -100px;
    height: 100px;
  }

  .miniaturas-footer.show {
    max-width: 90vw;
  }

  .texto-wrapper .wp-block-embed {
    width: 100%;
  }


}
